Name:           lemminx-maven
Version:        0.1.0
Release:        1%{?dist}
Summary:        Maven extension for the LemMinX XML Language Server

License:        EPL-2.0
URL:            https://github.com/eclipse/%{name}
Source0:        https://github.com/eclipse/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.indexer:indexer-core)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-embedder)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-impl)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-http)
BuildRequires:  mvn(org.eclipse.aether:aether-connector-basic)
BuildRequires:  mvn(org.eclipse.lemminx:org.eclipse.lemminx)

%description
This project is an Eclipse LemMinX (XML Language Server) extension to
provide some extra assistance to edition of Maven POM files.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

%pom_remove_dep ":aether-connector-okhttp" lemminx-maven
%pom_remove_dep "org.apache.httpcomponents:" lemminx-maven

%build
# Skipping tests due to them requiring internet connection
%mvn_build -f -- -f lemminx-maven/pom.xml

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 28 2020 Mat Booth <mat.booth@redhat.com> - 0.1.0-1
- Initial packaging of lemminx-maven



